Redmine - Patch #27114

Make robust Redmine::Helpers::URL#uri_with_safe_scheme?
2017-10-03 03:04 - okkez

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 4.0.0

Description

I'm developing new formatter for CommonMark.

commonmarker gem will create wrong autolink like https://github.com/github/cmark/issues/57 .

ne. b

will convert to

<p><a href="mailto:n@">n@</a>. b</p>

This causes "URI::InvalidComponentError’.

And | test with Redmine 3.4.2's Markdown formatter with following text.
[a@] (al)

This also causes "URI::InvalidComponentError’.

| wrote some patches to avoid these errors.

Associated revisions

Revision 17035 - 2017-11-26 04:44 - Go MAEDA
Make robust Redmine::Helpers::URL#uri_with_safe_scheme? (#27114)

Patch by okkez.

Revision 17064 - 2017-12-07 12:50 - Toshi MARUYAMA

svn propset svn:eol-style native test/unit/lib/redmine/helpers/url_test.rb (#27114)

History

#1 - 2017-10-03 04:56 - Go MAEDA
- Category changed from Wiki to Text formatting

- Target version set to 4.0.0

| observed the following error when the exception class at rce: .4.2/lib/redmine/helpers/url.rb#L.30 is URI::InvalidURIError.
Setting target version to 4.0.0.

$ ruby test/unit/lib/redmine/helpers/url_test.rb
Run options: --seed 58810

# Running:

.E

Error:

URLTest#test_uri_with_safe_scheme_invalid_component:
URI::InvalidComponentError: unrecognised opaque part for mailtoURL: root@

lib/redmine/helpers/url.rb:29:in “uri_with_safe_scheme?'
test/unit/lib/redmine/helpers/url_test.rb:15:in “test_uri_with_safe_scheme_invalid_component'
https://github.com/github/cmark/issues/57
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.4.2/lib/redmine/helpers/url.rb#L30

#2 - 2017-11-26 04:47 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed in the trunk. Thank you for your contribution.

Files

make-robust.diff 1.2 KB
